import {Component, Input} from '@angular/core';
import { v4 as uuidv4 } from 'uuid';
@Component({
  selector: 'app-toggle',
  templateUrl: './toggle.component.html',
  styleUrl: './toggle.component.scss'
})
export class ToggleComponent {
    @Input() public headline!: string;
    @Input() small: boolean = false;
    @Input() activeFilterCount: number = 0;

    public isOpened: boolean = false;
    protected toggleId: string;

    constructor() {
        this.toggleId = uuidv4();
    }

    openToggle() {
        this.isOpened = true;
    }
}
